import request from '@/utils/request'

export function getOneSubjectPage(data) {
  return request({
    url: '/base-farist-account/page',
    method: 'get',
    params: data
  })
}

export function getOneSubjectList(data) {
  return request({
    url: '/base-farist-account/list',
    method: 'post',
    data: data
  })
}

export function getOneSubjectById(data) {
  return request({
    url: '/base-farist-account/listById',
    method: 'post',
    data: data
  })
}

export function addOneSubject(data) {
  return request({
    url: '/base-farist-account/add',
    method: 'post',
    data: data
  })
}

export function editOneSubject(data) {
  return request({
    url: '/base-farist-account/edit',
    method: 'post',
    data: data
  })
}

export function delOneSubject(data) {
  return request({
    url: '/base-farist-account/delete',
    method: 'post',
    data: data
  })
}
